
uniform sampler2D tex0,tex1,envMap,tex3,tex4,tex5;

void main (void)
{
    vec4 col0 = texture2D(tex0, vec2(gl_TexCoord[0]));
    vec4 col1 = texture2D(tex1, vec2(gl_TexCoord[1]));
    vec4 col2 = texture2D(envMap, vec2(gl_TexCoord[0]));
    vec4 col3 = texture2D(tex3, vec2(gl_TexCoord[1]));
    vec4 col4 = texture2D(tex4, vec2(gl_TexCoord[1]));
    vec4 col5 = texture2D(tex5, vec2(gl_TexCoord[1]));
    float multip = max(gl_Color.x, gl_Color.y);

    multip = max(multip, gl_Color.z);

    multip = 1.0 - multip;
    multip = multip / 2.0;

    vec4 coll = (col0 + col0 + col1) / 3.0;
    vec4 col = (col3 * col2.r + col4 * col2.g + col5 * col2.b) + 
               (coll* (1.0 - (col2.r+col2.g+col2.b)));
    col *= gl_Color + vec4(multip, multip, multip, 1.0);
// + vec4(0.2, 0.2, 0.2, 1.0);
    gl_FragColor = col * 1.5;
}
