
uniform sampler2D tex0,tex1;

void main (void)
{
    vec4 col0 = texture2D(tex0, vec2(gl_TexCoord[0]));
    vec4 col1 = texture2D(tex1, vec2(gl_TexCoord[1]));
    float multip = max(gl_Color.x, gl_Color.y);

    multip = max(multip, gl_Color.z);

    multip = 1.0 - multip;
    multip = multip / 2.0;

    vec4 col = (col0 + col0 + col1) / 3.0;
    col *= gl_Color + vec4(multip, multip, multip, 1.0);
// + vec4(0.2, 0.2, 0.2, 1.0);
    gl_FragColor = col * 1.5;
}
